QXmppClientExtension Class Reference
Core

The QXmppClientExtension class is the base class for QXmppClient extensions. More...

`#include <QXmppClientExtension.h>`

Inheritance diagram for QXmppClientExtension:

List of all members.

## Public Member Functions

| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.

## Protected Member Functions

QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Friends

class | QXmppClient

## Detailed Description

The QXmppClientExtension class is the base class for QXmppClient extensions.

If you want to extend QXmppClient, for instance to support an IQ type which is not natively supported, you can subclass QXmppClientExtension and implement handleStanza(). You can then add your extension to the client instance using QXmppClient::addExtension().

## Constructor & Destructor Documentation

QXmppClientExtension::QXmppClientExtension | ( |  | ) |

Constructs a QXmppClient extension.

QXmppClientExtension::~QXmppClientExtension | ( |  | ) | `[virtual]`

Destroys a QXmppClient extension.

## Member Function Documentation

QXmppClient * QXmppClientExtension::client | ( |  | ) | `[protected]`

Returns the client which loaded this extension.

QStringList QXmppClientExtension::discoveryFeatures | ( |  | ) | const`[virtual]`

Returns the discovery features to add to the client.

QList< QXmppDiscoveryIq::Identity > QXmppClientExtension::discoveryIdentities | ( |  | ) | const`[virtual]`

Returns the discovery identities to add to the client.

virtual bool QXmppClientExtension::handleStanza | ( | const QDomElement & | stanza | ) | `[pure virtual]`

You need to implement this method to process incoming XMPP stanzas.

You should return true if the stanza was handled and no further processing should occur, or false to let other extensions process the stanza.

void QXmppClientExtension::setClient | ( | QXmppClient * | client | ) | `[protected, virtual]`

Sets the client which loaded this extension.

Parameters:

  client |

The documentation for this class was generated from the following files:

- QXmppClientExtension.h
- QXmppClientExtension.cpp

All Classes Functions Enumerations Enumerator Properties